<?php
/**
* The template for displaying search results pages.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
*
* @package MintWP WordPress Theme
* @copyright Copyright (C) 2023 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="mintwp-main-wrapper clearfix" id="mintwp-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="mintwp-main-wrapper-inside clearfix">

<?php mintwp_top_widgets(); ?>

<div class="mintwp-posts-wrapper" id="mintwp-posts-wrapper">

<header class="page-header">
<h1 class="page-title"><?php /* translators: %s: search query. */ printf( esc_html__( 'Search Results for: %s', 'mintwp' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
</header>

<div class="mintwp-posts-content">
<div class="mintwp-posts-container">

<?php if (have_posts()) : ?>

    <div class="mintwp-posts">
    <div class="<?php echo esc_attr( mintwp_post_grid_cols() ); ?>-sizer"></div>
    <div class="<?php echo esc_attr( mintwp_post_grid_cols() ); ?>-gutter"></div>
    <?php $mintwp_total_posts = $wp_query->post_count; ?>
    <?php $mintwp_post_counter=1; while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content', mintwp_post_style() ); ?>

    <?php $mintwp_post_counter++; endwhile; ?>
    </div>
    <div class="clear"></div>

    <?php mintwp_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>
</div>

</div><!--/#mintwp-posts-wrapper -->

<?php mintwp_bottom_widgets(); ?>

</div>
</div>
</div><!-- /#mintwp-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>